Data Structures and Preprocessor Macros

All datastructures and typedefs shared among the Vienna RNA Package can be found here. More...

Collaboration diagram for Data Structures and Preprocessor Macros:

## Modules

| The Fold Compound
| This module provides interfaces that deal with the most basic data structure used in structure predicting and energy evaluating function of the RNAlib.
| The Dynamic Programming Matrices
| This module provides interfaces that deal with creation and destruction of dynamic programming matrices used within the RNAlib.

## Data Structures

struct | vrna_basepair_s
| Base pair data structure used in subopt.c. More...
struct | vrna_plist_s
| this datastructure is used as input parameter in functions of PS_dot.h and others More...
struct | vrna_cpair_s
| this datastructure is used as input parameter in functions of PS_dot.c More...
struct | vrna_sect_s
| Stack of partial structures for backtracking. More...
struct | vrna_bp_stack_s
| Base pair stack element. More...
struct | pu_contrib
| contributions to p_u More...
struct | interact
struct | pu_out
| Collection of all free_energy of beeing unpaired values for output. More...
struct | constrain
| constraints for cofolding More...
struct | duplexT
struct | node
struct | snoopT
struct | dupVar

## Typedefs

typedef struct vrna_basepair_s | vrna_basepair_t
| Typename for the base pair repesenting data structure vrna_basepair_s.
typedef struct vrna_plist_s | vrna_plist_t
| Typename for the base pair list repesenting data structure vrna_plist_s.
typedef struct vrna_bp_stack_s | vrna_bp_stack_t
| Typename for the base pair stack repesenting data structure vrna_bp_stack_s.
typedef struct vrna_cpair_s | vrna_cpair_t
| Typename for data structure vrna_cpair_s.
typedef struct vrna_sect_s | vrna_sect_t
| Typename for stack of partial structures vrna_sect_s.
typedef double | FLT_OR_DBL
| Typename for floating point number in partition function computations.
typedef struct vrna_basepair_s | PAIR
| Old typename of vrna_basepair_s. More...
typedef struct vrna_plist_s | plist
| Old typename of vrna_plist_s. More...
typedef struct vrna_cpair_s | cpair
| Old typename of vrna_cpair_s. More...
typedef struct vrna_sect_s | sect
| Old typename of vrna_sect_s. More...
typedef struct vrna_bp_stack_s | bondT
| Old typename of vrna_bp_stack_s. More...
typedef struct pu_contrib | pu_contrib
| contributions to p_u
typedef struct pu_out | pu_out
| Collection of all free_energy of beeing unpaired values for output.
typedef struct constrain | constrain
| constraints for cofolding

## Detailed Description

All datastructures and typedefs shared among the Vienna RNA Package can be found here.

## Data Structure Documentation

struct vrna_basepair_s

Base pair data structure used in subopt.c.

struct vrna_plist_s

this datastructure is used as input parameter in functions of PS_dot.h and others

struct vrna_cpair_s

this datastructure is used as input parameter in functions of PS_dot.c

struct vrna_sect_s

Stack of partial structures for backtracking.

struct vrna_bp_stack_s

Base pair stack element.

struct pu_contrib

contributions to p_u

### Data Fields

double ** | H
| hairpin loops
double ** | I
| interior loops
double ** | M
| multi loops
double ** | E
| exterior loop
int | length
| length of the input sequence
int | w
| longest unpaired region

struct interact

### Data Fields

double * | Pi
| probabilities of interaction
double * | Gi
| free energies of interaction
double | Gikjl
| full free energy for interaction between [k,i] k<i in longer seq and [j,l] j<l in shorter seq
double | Gikjl_wo
| Gikjl without contributions for prob_unpaired.
int | i
| k<i in longer seq
int | k
| k<i in longer seq
int | j
| j<l in shorter seq
int | l
| j<l in shorter seq
int | length
| length of longer sequence

struct pu_out

Collection of all free_energy of beeing unpaired values for output.

### Data Fields

int | len
| sequence length
int | u_vals
| number of different -u values
int | contribs
| [-c "SHIME"]
char ** | header
| header line
double ** | u_values
| (the -u values * [-c "SHIME"]) * seq len

struct constrain

constraints for cofolding

struct duplexT

struct node

Collaboration diagram for node:
[legend]

struct snoopT

struct dupVar

## Typedef Documentation

typedef struct vrna_basepair_s PAIR

`#include <ViennaRNA/data_structures.h>`

Old typename of vrna_basepair_s.

Deprecated:
  Use vrna_basepair_t instead!

typedef struct vrna_plist_s plist

`#include <ViennaRNA/data_structures.h>`

Old typename of vrna_plist_s.

Deprecated:
  Use vrna_plist_t instead!

typedef struct vrna_cpair_s cpair

`#include <ViennaRNA/data_structures.h>`

Old typename of vrna_cpair_s.

Deprecated:
  Use vrna_cpair_t instead!

typedef struct vrna_sect_s sect

`#include <ViennaRNA/data_structures.h>`

Old typename of vrna_sect_s.

Deprecated:
  Use vrna_sect_t instead!

typedef struct vrna_bp_stack_s bondT

`#include <ViennaRNA/data_structures.h>`

Old typename of vrna_bp_stack_s.

Deprecated:
  Use vrna_bp_stack_t instead!